<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('product_groups', function (Blueprint $table) {
            $table->id();
            $table->string('slug')->unique();
            $table->string('name');
            $table->boolean('hidden')->default(false);
            $table->integer('order')->default(1); // Görüntüleme sırası
            $table->json('gateways')->nullable(); // Ödeme ağ geçitleri
            $table->string('template')->nullable(); // Ürün grubu şablonu
            $table->boolean('is_featured')->default(false); // Öne çıkan ürün grubu
            $table->boolean('is_active')->default(true); // Aktif mi?
            $table->boolean('is_visible')->default(true); // Görünmez mi?
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_groups');
    }
};
